# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):
    depends_on = (
        ("privilege", "0001_initial.py"),
        ("declaration", "0001_initial.py"),
        ("users", "0001_initial.py"),
    )
    def forwards(self, orm):
        # Adding model 'ExtendedPrivilege'
        db.create_table('lipetsk_specifics_extendedprivilege', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('privilege', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['privilege.Privilege'], unique=True)),
            ('name_to_query_at_depart', self.gf('django.db.models.fields.CharField')(max_length=500, blank=True)),
            ('report_type', self.gf('django.db.models.fields.IntegerField')(default=1)),
        ))
        db.send_create_signal('lipetsk_specifics', ['ExtendedPrivilege'])

        # Adding model 'DeclarationPassingSmev'
        db.create_table('lipetsk_specifics_declarationpassingsmev', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('passing_smev', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['lipetsk_specifics.PassingSmev'])),
            ('declaration', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['declaration.Declaration'])),
        ))
        db.send_create_signal('lipetsk_specifics', ['DeclarationPassingSmev'])

        # Adding model 'PassingSmev'
        db.create_table('lipetsk_specifics_passingsmev', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('department', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['lipetsk_specifics.Department'])),
            ('profile', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['users.UserProfile'])),
            ('request', self.gf('django.db.models.fields.files.FileField')(max_length=150)),
            ('time', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, db_index=True, blank=True)),
            ('result', self.gf('django.db.models.fields.files.FileField')(max_length=150, null=True, blank=True)),
        ))
        db.send_create_signal('lipetsk_specifics', ['PassingSmev'])


    def backwards(self, orm):
        # Deleting model 'ExtendedPrivilege'
        db.delete_table('lipetsk_specifics_extendedprivilege')

        # Deleting model 'DeclarationPassingSmev'
        db.delete_table('lipetsk_specifics_declarationpassingsmev')

        # Deleting model 'PassingSmev'
        db.delete_table('lipetsk_specifics_passingsmev')


    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'ordering': "('content_type__app_label', 'content_type__model', 'codename')", 'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'children.children': {
            'Meta': {'object_name': 'Children', 'db_table': "'children'"},
            'address_corps': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'address_flat': ('django.db.models.fields.CharField', [], {'max_length': '30', 'null': 'True', 'blank': 'True'}),
            'address_full': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'address_house': ('django.db.models.fields.CharField', [], {'max_length': '30', 'null': 'True', 'blank': 'True'}),
            'address_house_guid': ('django.db.models.fields.CharField', [], {'max_length': '36', 'null': 'True', 'blank': 'True'}),
            'address_place': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'address_street': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'birthplace': ('django.db.models.fields.CharField', [], {'max_length': '250', 'null': 'True', 'blank': 'True'}),
            'comment': ('django.db.models.fields.CharField', [], {'max_length': '250', 'null': 'True', 'blank': 'True'}),
            'date_of_birth': ('django.db.models.fields.DateField', [], {'db_index': 'True'}),
            'delegate_fullnames': ('django.db.models.fields.CharField', [], {'max_length': '300', 'null': 'True', 'blank': 'True'}),
            'dul_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'dul_error': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'dul_number': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'dul_series': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'dul_type': ('django.db.models.fields.SmallIntegerField', [], {'default': '1'}),
            'fact_register_exact': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'family_status': ('django.db.models.fields.SmallIntegerField', [], {'default': '0'}),
            'firstname': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'fullname': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '150', 'null': 'True', 'blank': 'True'}),
            'gender': ('django.db.models.fields.SmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'health_need': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dict.HealthNeed']", 'null': 'True', 'blank': 'True'}),
            'health_need_confirmation': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'import_memo': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'is_invalid': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'number_children_in_family': ('django.db.models.fields.SmallIntegerField', [], {'default': '1'}),
            'patronymic': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'receive_compensation': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'reg_address_flat': ('django.db.models.fields.CharField', [], {'max_length': '30', 'null': 'True', 'blank': 'True'}),
            'reg_address_full': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'reg_address_house': ('django.db.models.fields.CharField', [], {'max_length': '30', 'null': 'True', 'blank': 'True'}),
            'reg_address_house_guid': ('django.db.models.fields.CharField', [], {'max_length': '36', 'null': 'True', 'blank': 'True'}),
            'reg_address_place': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'reg_address_street': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'req_address_corps': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'snils': ('django.db.models.fields.CharField', [], {'max_length': '14', 'null': 'True', 'blank': 'True'}),
            'surname': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'temp_registration': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'temp_registration_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'zags_act_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'zags_act_number': ('django.db.models.fields.CharField', [], {'max_length': '30', 'null': 'True', 'blank': 'True'}),
            'zags_act_place': ('django.db.models.fields.CharField', [], {'max_length': '250', 'null': 'True', 'blank': 'True'})
        },
        'children.delegate': {
            'Meta': {'object_name': 'Delegate', 'db_table': "'delegate'"},
            'address_corps': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'address_flat': ('django.db.models.fields.CharField', [], {'max_length': '30', 'null': 'True', 'blank': 'True'}),
            'address_full': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'address_house': ('django.db.models.fields.CharField', [], {'max_length': '30', 'null': 'True', 'blank': 'True'}),
            'address_house_guid': ('django.db.models.fields.CharField', [], {'max_length': '36', 'null': 'True', 'blank': 'True'}),
            'address_place': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'address_street': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'date_of_birth': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'dul_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'dul_issued_by': ('django.db.models.fields.CharField', [], {'max_length': '250', 'null': 'True', 'blank': 'True'}),
            'dul_number': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'dul_place': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'dul_series': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'dul_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dict.DULDelegateType']", 'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'fact_register_exact': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'firstname': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'fullname': ('django.db.models.fields.CharField', [], {'max_length': '150', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'notification_type': ('django.db.models.fields.SmallIntegerField', [], {'default': '0', 'null': 'True'}),
            'patronymic': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'phone_for_sms': ('django.db.models.fields.CharField', [], {'max_length': '12', 'null': 'True', 'blank': 'True'}),
            'phones': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'reg_address_corps': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'reg_address_flat': ('django.db.models.fields.CharField', [], {'max_length': '30', 'null': 'True', 'blank': 'True'}),
            'reg_address_full': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'reg_address_house': ('django.db.models.fields.CharField', [], {'max_length': '30', 'null': 'True', 'blank': 'True'}),
            'reg_address_house_guid': ('django.db.models.fields.CharField', [], {'max_length': '36', 'null': 'True', 'blank': 'True'}),
            'reg_address_place': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'reg_address_street': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'snils': ('django.db.models.fields.CharField', [], {'max_length': '14', 'null': 'True', 'blank': 'True'}),
            'surname': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'temp_registration': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'temp_registration_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'type': ('django.db.models.fields.SmallIntegerField', [], {'null': 'True'})
        },
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'declaration.declaration': {
            'Meta': {'object_name': 'Declaration', 'db_table': "'declaration'"},
            'auth_token': ('django.db.models.fields.CharField', [], {'max_length': '250', 'null': 'True', 'blank': 'True'}),
            'best_privilege': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['privilege.Privilege']", 'null': 'True', 'blank': 'True'}),
            'best_privilege_datetime': ('django.db.models.fields.DateTimeField', [], {'null': 'True'}),
            'children': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['children.Children']"}),
            'client_id': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '250', 'db_index': 'True'}),
            'comment': ('django.db.models.fields.CharField', [], {'max_length': '250', 'null': 'True', 'blank': 'True'}),
            'comment_privileges': ('django.db.models.fields.CharField', [], {'max_length': '250', 'null': 'True', 'blank': 'True'}),
            'consent_care_group': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'consent_dev_group': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'consent_short_time_group': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'date': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now', 'db_index': 'True'}),
            'desired_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'import_memo': ('django.db.models.fields.CharField', [], {'max_length': '250', 'null': 'True', 'blank': 'True'}),
            'is_not_attending': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_preschool_education': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_registered_in_absence': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'max_desired_dou': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'mo': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['unit.Unit']"}),
            'offer_nearest': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'offer_other': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'portal': ('django.db.models.fields.SmallIntegerField', [], {'default': '0'}),
            'portal_decl_id': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'portal_id': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'source': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'spec': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dict.GroupSpec']", 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['declaration_status.DeclarationStatus']"}),
            'submitted_on': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'db_index': 'True', 'blank': 'True'}),
            'work_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dict.WorkType']", 'null': 'True', 'blank': 'True'})
        },
        'declaration.declarationprivilege': {
            'Meta': {'unique_together': "(('declaration', 'privilege'),)", 'object_name': 'DeclarationPrivilege', 'db_table': "'declaration_privilege'"},
            'add_user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']", 'null': 'True'}),
            'datetime': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'declaration': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['declaration.Declaration']"}),
            'doc_number': ('django.db.models.fields.CharField', [], {'max_length': "'100'", 'null': 'True', 'blank': 'True'}),
            'doc_series': ('django.db.models.fields.CharField', [], {'max_length': "'100'", 'null': 'True', 'blank': 'True'}),
            'doc_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dict.DocType']", 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'privilege': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['privilege.Privilege']"})
        },
        'declaration_status.declarationstatus': {
            'Meta': {'object_name': 'DeclarationStatus', 'db_table': "'declaration_status'"},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '150'}),
            'need_visit': ('django.db.models.fields.BooleanField', [], {'default': 'False'})
        },
        'dict.doctype': {
            'Meta': {'object_name': 'DocType'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '150'})
        },
        'dict.doutype': {
            'Meta': {'object_name': 'DouType', 'db_table': "'dou_type'"},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '150'})
        },
        'dict.duldelegatetype': {
            'Meta': {'object_name': 'DULDelegateType', 'db_table': "'dul_delegate_type'"},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '250'})
        },
        'dict.groupspec': {
            'Meta': {'object_name': 'GroupSpec', 'db_table': "'group_spec'"},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '150'})
        },
        'dict.grouptype': {
            'Meta': {'object_name': 'GroupType', 'db_table': "'group_type'"},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '150'})
        },
        'dict.healthneed': {
            'Meta': {'object_name': 'HealthNeed'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'group_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dict.GroupType']", 'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '150'})
        },
        'dict.privilegeordertype': {
            'Meta': {'object_name': 'PrivilegeOrderType', 'db_table': "'privilege_order_type'"},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '150'})
        },
        'dict.privilegetype': {
            'Meta': {'object_name': 'PrivilegeType', 'db_table': "'privilege_type'"},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '150'})
        },
        'dict.unitkind': {
            'Meta': {'object_name': 'UnitKind'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '150'})
        },
        'dict.unittype': {
            'Meta': {'object_name': 'UnitType', 'db_table': "'unit_type'"},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        'dict.worktype': {
            'Meta': {'object_name': 'WorkType', 'db_table': "'work_type'"},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '150'})
        },
        'lipetsk_specifics.declarationpassingsmev': {
            'Meta': {'object_name': 'DeclarationPassingSmev'},
            'declaration': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['declaration.Declaration']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'passing_smev': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['lipetsk_specifics.PassingSmev']"})
        },
        'lipetsk_specifics.declarationrejectreason': {
            'Meta': {'unique_together': "(('declaration', 'reject_reason'),)", 'object_name': 'DeclarationRejectReason'},
            'declaration': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['declaration.Declaration']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'reject_reason': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['lipetsk_specifics.RejectReason']", 'null': 'True', 'blank': 'True'})
        },
        'lipetsk_specifics.department': {
            'Meta': {'object_name': 'Department'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '150'}),
            'privileges': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['privilege.Privilege']", 'symmetrical': 'False'})
        },
        'lipetsk_specifics.departmentattributes': {
            'Meta': {'unique_together': "(('department', 'attribute'),)", 'object_name': 'DepartmentAttributes'},
            'attribute': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'department': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['lipetsk_specifics.Department']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'lipetsk_specifics.extendedprivilege': {
            'Meta': {'object_name': 'ExtendedPrivilege'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name_to_query_at_depart': ('django.db.models.fields.CharField', [], {'max_length': '500', 'blank': 'True'}),
            'privilege': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['privilege.Privilege']", 'unique': 'True'}),
            'report_type': ('django.db.models.fields.IntegerField', [], {'default': '1'})
        },
        'lipetsk_specifics.passingsmev': {
            'Meta': {'object_name': 'PassingSmev'},
            'department': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['lipetsk_specifics.Department']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'profile': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['users.UserProfile']"}),
            'request': ('django.db.models.fields.files.FileField', [], {'max_length': '150'}),
            'result': ('django.db.models.fields.files.FileField', [], {'max_length': '150', 'null': 'True', 'blank': 'True'}),
            'time': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'db_index': 'True', 'blank': 'True'})
        },
        'lipetsk_specifics.privilegeconfirmationattributes': {
            'Meta': {'unique_together': "(('delegate', 'declaration_privilege'),)", 'object_name': 'PrivilegeConfirmationAttributes'},
            'birthplace_city': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'birthplace_country': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'birthplace_region': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'confirmed': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'declaration_privilege': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['declaration.DeclarationPrivilege']"}),
            'delegate': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['children.Delegate']", 'null': 'True'}),
            'dismissal_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'document_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'document_issued_by': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'force_kind': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'military_unit': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'personal_number': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'portal': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'privilege_owner': ('django.db.models.fields.SmallIntegerField', [], {'null': 'True'}),
            'rank': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'})
        },
        'lipetsk_specifics.rejectreason': {
            'Meta': {'object_name': 'RejectReason'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '150'})
        },
        'privilege.privilege': {
            'Meta': {'object_name': 'Privilege', 'db_table': "'privilege'"},
            'cant_add': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'operate_type': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'order_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dict.PrivilegeOrderType']", 'null': 'True'}),
            'type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dict.PrivilegeType']", 'null': 'True'})
        },
        'unit.unit': {
            'Meta': {'object_name': 'Unit', 'db_table': "'unit'"},
            'address_corps': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'address_full': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'address_house': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'address_house_guid': ('django.db.models.fields.CharField', [], {'max_length': '36', 'null': 'True', 'blank': 'True'}),
            'address_place': ('django.db.models.fields.CharField', [], {'max_length': '36', 'null': 'True', 'blank': 'True'}),
            'address_street': ('django.db.models.fields.CharField', [], {'max_length': '36', 'null': 'True', 'blank': 'True'}),
            'alloc_age_bgn': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'alloc_calc_date': ('django.db.models.fields.DateField', [], {'default': 'datetime.datetime(2010, 9, 1, 0, 0)', 'null': 'True', 'blank': 'True'}),
            'alloc_date_bgn': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'alloc_date_end': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'alloc_in_progress': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'allow_dou_transfer': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'allow_offer_other': ('django.db.models.fields.IntegerField', [], {'default': '1'}),
            'auto_deduct_at_changing_dou': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'begin_repair_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'boss_fio': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'build_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'build_in_progress': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'building_type': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'centralized_accept_decls': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'childrens_in_queue_only_with_wish_date': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'closed': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'combined_health_need': ('django.db.models.fields.SmallIntegerField', [], {'default': '-1'}),
            'comment_before_save_require': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'commissioning_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'days_for_confirm_documents': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'days_for_direct_dogovor': ('django.db.models.fields.IntegerField', [], {'default': '0', 'null': 'True'}),
            'days_for_reject_declaration': ('django.db.models.fields.IntegerField', [], {'default': '0', 'null': 'True'}),
            'days_for_reject_direct': ('django.db.models.fields.IntegerField', [], {'default': '0', 'null': 'True'}),
            'decentral_model': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'doo_number': ('django.db.models.fields.PositiveSmallIntegerField', [], {'max_length': '4', 'unique': 'True', 'null': 'True', 'db_index': 'True'}),
            'dou_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dict.DouType']", 'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'end_repair_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'epgu_link': ('django.db.models.fields.CharField', [], {'max_length': '250', 'null': 'True', 'blank': 'True'}),
            'exchange_expiration_date': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True'}),
            'field_type_required': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'founders': ('django.db.models.fields.CharField', [], {'max_length': '1000', 'null': 'True', 'blank': 'True'}),
            'full_name': ('django.db.models.fields.CharField', [], {'default': "u'\\u041d\\u0435 \\u0443\\u043a\\u0430\\u0437\\u0430\\u043d\\u043e'", 'max_length': '300'}),
            'have_contract': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'have_lic': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'in_capital_repair': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'inn': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'is_filial': ('django.db.models.fields.SmallIntegerField', [], {'default': '0'}),
            'is_info_from_parent': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_not_show_on_poral': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'kind': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dict.UnitKind']", 'null': 'True', 'blank': 'True'}),
            'kpp': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'latitude': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'locality': ('django.db.models.fields.SmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'longitude': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'max_desired_dou': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '150'}),
            'need_decl_priv_doc': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'ocato': ('django.db.models.fields.CharField', [], {'max_length': '11', 'null': 'True', 'blank': 'True'}),
            'octmo': ('django.db.models.fields.CharField', [], {'max_length': '11', 'null': 'True', 'blank': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['unit.Unit']", 'null': 'True', 'blank': 'True'}),
            'percent_of_wear': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'privilege_percent': ('django.db.models.fields.PositiveSmallIntegerField', [], {'default': '50'}),
            'privilege_quoting': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'reception_time': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'rpgu_link': ('django.db.models.fields.CharField', [], {'max_length': '250', 'null': 'True', 'blank': 'True'}),
            'site': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.SmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'structure_type': ('django.db.models.fields.IntegerField', [], {'default': '1'}),
            'telephone': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dict.UnitType']", 'null': 'True', 'blank': 'True'}),
            'unique_id': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True'}),
            'use_fact_norm_cnt': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'use_only_direct': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'use_transfer_queue': ('django.db.models.fields.IntegerField', [], {'default': '-1'})
        },
        'users.userprofile': {
            'Meta': {'object_name': 'UserProfile'},
            'access_days': ('django.db.models.fields.IntegerField', [], {'default': '7'}),
            'archive_date': ('django.db.models.fields.DateTimeField', [], {'default': 'None', 'null': 'True', 'blank': 'True'}),
            'archived_by': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'archived_users'", 'null': 'True', 'to': "orm['auth.User']"}),
            'exclude_unit': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'userprofileexcludeunit'", 'null': 'True', 'on_delete': 'models.SET_NULL', 'to': "orm['unit.Unit']"}),
            'fname': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'iname': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'is_ad_user': ('django.db.models.fields.NullBooleanField', [], {'default': 'False', 'null': 'True', 'blank': 'True'}),
            'max_unit': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'userprofilemaxunit'", 'null': 'True', 'on_delete': 'models.SET_NULL', 'to': "orm['unit.Unit']"}),
            'need_change_password': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'oname': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'snils': ('django.db.models.fields.CharField', [], {'max_length': '14', 'null': 'True', 'blank': 'True'}),
            'unit': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['unit.Unit']", 'null': 'True', 'on_delete': 'models.SET_NULL', 'blank': 'True'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']", 'unique': 'True'})
        }
    }

    complete_apps = ['lipetsk_specifics']